Issue #3010 has been updated by Eric Hodel.


I cannot reproduce with ruby trunk:

$ time ruby19 -v foo.rb
ruby 1.9.2dev (2010-02-09 trunk 26623) [x86_64-darwin10.2.0]
36
/usr/local/lib/ruby/site_ruby/1.9.1/rubygems.rb:65: warning: method redefined; discarding old gem
<internal:gem_prelude>:15: warning: previous definition of gem was here
lib/rational.rb is deprecated
/usr/local/lib/ruby/gems/1.9.1/gems/activesupport-2.3.5/lib/active_support/core_ext/uri.rb:7:in `<top (required)>': warning: URI.escape is obsolete
/usr/local/lib/ruby/gems/1.9.1/gems/activesupport-2.3.5/lib/active_support/core_ext/uri.rb:7:in `<top (required)>': warning: URI.unescape is obsolete
39

real	0m0.477s
user	0m0.314s
sys	0m0.066s

$ time ruby -v foo.rb
ruby 1.8.7 (2008-08-11 patchlevel 72) [universal-darwin10.0]
11
35

real	0m0.671s
user	0m0.468s
sys	0m0.141s

----------------------------------------
http://redmine.ruby-lang.org/issues/show/3010

----------------------------------------
http://redmine.ruby-lang.org